## maint-guide 1.2.6

=== debian/changelog ===
maint-guide (1.2.6) unstable; urgency=low

  * Make CVS source tree to build DDP web pages on woody machine.
  * DE major translation update. (Thanks Jens Seidel)

 -- Osamu Aoki <osamu@debian.org>  Sat, 16 Apr 2005 21:46:21 +0200

maint-guide (1.2.5) unstable; urgency=low

  * Add me to uploader to stop NMU madness. 
  * Adjust control to match overide (closes: #296702)
  * Update German (minor).

 -- Osamu Aoki <osamu@debian.org>  Tue, 15 Mar 2005 23:39:26 +0100

maint-guide (1.2.4) unstable; urgency=low

  * NMU, partially blessed by the maintainer (follow-up).
  * Update build script and dependency to accomodate Korean PDF under
    the new debiandoc-sgml. (closes: #293753)
  * Update description matching with new pdebuild behavior.
  * Update required version of debiandoc-sgml.
  * Update Italian translation to be current.
  * Remove TAB from source (Better TeX interaction, i.e., Better
    PS/PDF generation) (all lang) (closes: #210785)
  * Remove absolute path from docbook-to-man in debian/rule
    following the latest dh_make result. (closes: #255441)

 -- Osamu Aoki <osamu@debian.org>  Thu, 24 Feb 2005 06:11:06 +0100

maint-guide (1.2.3) unstable; urgency=low

  * NMU, partially blessed by the maintainer.
  * Add Korean translation by Yooseong Yang <yooseong@debian.org> .
  * Fix bashism using /usr/sbin/[ and add gs to control. (closes: #264044)
  * Fix Debian Policy chapter for changelog. (all lang.)
    (closes: #216405, #243339)
  * Fix debian/rules examples. (all lang.) (closes: #244463)
  * Convert debian/control to UTF-8 and fix FR. (closes: #283696)
  * Fix debian/control description according to developers-reference 
    6.2.2 (all lang.) (closes: #291943)
  * List <package/xutils/  for all but old ES and RU. (closes: #167395)
  * Make script readable for all but old ES and RU. (closes: #285824)
  * Expanded Chapter 6 - 9 and added appendix. (No translation) [osamu]
    - Updated dupload section and added more examples. (closes: #114948)
    - Address issues of Debian native package. (closes: #128077)
    - Add reference to buildd and FTBFS in pbuilder. (closes: #138575)
    - Point to the autotools-dev documentation. (closes: #159169)
    - Make working directory name consistent: ~/gentoo/ . (closes: #174816)
    - Fix file location while introducing default.ent. (closes: #203609)
    - Mention dh_make -o . (closes: #203685)
    - Minor wording polishes and tag updates. (closes: #258273)
    - Add mentors-FAQ URL. (closes: #279312)
    - Add linda and pbuilder. (closes: #287064)
    - Add -sa option, cvs-buildackage etc., dpatch.
    - Add Build dep method per virlon's debian-mentor posting.
    - Expand section on "Checking the package for errors" and
      "New upstream release" based on debian-mentor postings.
      (no debconf message for broken upgrade reminded.)
    - Add appendix to provide more examples.
  * Fix typo in Spanish and German. (closes: #225432, #276529)
  * Translation updated with CVS.

 -- Osamu Aoki <osamu@debian.org>  Sun, 23 Jan 2005 22:16:58 +0100

=== debian/control ===
Source: maint-guide
Section: doc
Priority: optional
Maintainer: Josip Rodin <joy-packages@debian.org>
Uploaders: Osamu Aoki <osamu@debian.org>
Standards-Version: 3.6.1
Build-Depends-Indep: debhelper (>> 3.0.0), debiandoc-sgml (>= 1.1.86), tetex-bin, tetex-extra, w3m (>= 0.3) | w3m-ssl (>= 0.3) | w3mmee (>= 0.3), cjk-latex, freetype1-tools, tfm-arphic-bsmi00lp, tfm-arphic-bkai00mp, tfm-arphic-gbsn00lp, tfm-arphic-gkai00mp, hbf-jfs56, hbf-cns40-b5, hbf-kanji48, hlatex, hlatex-fonts-base, gs-esp | gs

Package: maint-guide
Architecture: all
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, linda, dupload | dput, debian-policy, developers-reference, pbuilder
Description: Debian New Maintainers' Guide
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
     * 10 Where to ask for help

Package: maint-guide-fr
Architecture: all
Priority: extra
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, linda, dupload | dput, debian-policy, developers-reference, pbuilder
Description: French translation of Debian New Maintainers' Guide
 This package contains the French translation of Debian New
 Maintainers' Guide, or Guide du nouveau responsable Debian.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
     * 10 Where to ask for help

Package: maint-guide-ja
Architecture: all
Priority: extra
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, linda, dupload | dput, debian-policy, developers-reference, pbuilder
Description: Japanese translation of Debian New Maintainers' Guide
 This package contains the Japanese translation of Debian New
 Maintainers' Guide, or Debian 新メンテナガイド.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
     * 10 Where to ask for help

Package: maint-guide-ko
Architecture: all
Priority: extra
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, linda, dupload | dput, debian-policy, developers-reference, pbuilder
Description: Korean translation of Debian New Maintainers' Guide
 This package contains the Korean translation of Debian New
 Maintainers' Guide.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
     * 10 Where to ask for help

Package: maint-guide-es
Architecture: all
Priority: extra
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, linda, dupload | dput, debian-policy, developers-reference, pbuilder
Description: Spanish translation of Debian New Maintainers' Guide
 This package contains the Spanish translation of Debian New
 Maintainers' Guide, or Guía del Nuevo Desarrollador de Debian.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
     * 10 Where to ask for help

Package: maint-guide-ru
Architecture: all
Priority: extra
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, linda, dupload | dput, debian-policy, developers-reference, pbuilder
Description: Russian translation of Debian New Maintainers' Guide
 This package contains the Russian translation of Debian New
 Maintainers' Guide, or Руководство начинающего разработчика Debian.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
     * 10 Where to ask for help

Package: maint-guide-de
Architecture: all
Priority: extra
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, linda, dupload | dput, debian-policy, developers-reference, pbuilder
Description: German translation of Debian New Maintainers' Guide
 This package contains the German translation of Debian New
 Maintainers' Guide, bzw. Anleitung für zukünftige Debian-Maintainer.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
     * 10 Where to ask for help

Package: maint-guide-pt
Architecture: all
Priority: extra
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, linda, dupload | dput, debian-policy, developers-reference, pbuilder
Description: Portuguese translation of Debian New Maintainers' Guide
 This package contains the Portuguese (Brazilian) translation of Debian New
 Maintainers' Guide, or Guia dos Novos Mantenedores Debian.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
     * 10 Where to ask for help

Package: maint-guide-it
Architecture: all
Priority: extra
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, linda, dupload | dput, debian-policy, developers-reference, pbuilder
Description: Italian translation of Debian New Maintainers' Guide
 This package contains the Italian translation of Debian New Maintainers'
 Guide, or Guida per il nuovo Maintainer.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
     * 10 Where to ask for help

Package: maint-guide-pl
Architecture: all
Priority: extra
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, linda, dupload | dput, debian-policy, developers-reference, pbuilder
Description: Polish translation of Debian New Maintainers' Guide
 This package contains the Polish translation of Debian New Maintainers'
 Guide, or Podręcznik dla nowych opiekunów pakietów Debiana.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
     * 10 Where to ask for help

Package: maint-guide-zh
Architecture: all
Priority: extra
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, linda, dupload | dput, debian-policy, developers-reference, pbuilder
Description: Chinese (simplified) translation of Debian New Maintainers' Guide
 This package contains the simplified Chinese translation of
 Debian New Maintainers' Guide.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
     * 10 Where to ask for help

=== debian/rules ===
#!/usr/bin/make -f
# Derived from the rules file for developers-reference (Adam Di Carlo)
# and debhelper rules.multi2 example (Joey Hess).

#export DH_VERBOSE=1
export DH_COMPAT=2
export DH_OPTIONS
export LANG=C
# stupid kludge around a stupid debiandoc-sgml bug

name		:= maint-guide
languagesfoo	:= fr ja ko es ru de it pl
languagesbar	:= pt_BR zh_CN
docdir		:= usr/share/doc/$(name)
install_file	:= install -m 0644
BUILD_TYPE := package

build: stamp-build
stamp-build: $(name).sgml
	dh_testdir
	$(MAKE) "BUILD_TYPE=$(BUILD_TYPE)" validate all
	touch $@

clean:
	dh_testdir
	dh_testroot
	$(MAKE) "BUILD_TYPE=$(BUILD_TYPE)" clean
	# Remove unbuild sources for now
	dh_clean stamp-build debian/$(name)-*.p*

install: DH_OPTIONS=
install: stamp-build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -Ai $(docdir)
	dh_installdirs -p$(name) $(docdir)
	install -m644 Credits debian/$(name)/$(docdir)
# English version:
	cp -a $(name).en.html debian/$(name)/$(docdir)
	$(install_file) $(name).en.txt $(name).sgml \
                        $(name).en.ps $(name).en.pdf \
                        debian/$(name)/$(docdir)
	ln -s index.en.html \
          debian/$(name)/$(docdir)/$(name).en.html/index.html
# most of the translations just use the language code
	@set -ex; for lang in $(languagesfoo); do \
          cp -a $(name).$$lang.html debian/$(name)-$$lang/$(docdir); \
          ln -s index.$$lang.html \
            debian/$(name)-$$lang/$(docdir)/$(name).$$lang.html/index.html; \
          $(install_file) $(name).$$lang.txt $(name).$$lang.sgml \
            debian/$(name)-$$lang/$(docdir); \
          $(install_file) $(name).$$lang.ps $(name).$$lang.pdf \
            debian/$(name)-$$lang/$(docdir); \
        done
# special case for translations using language_country code
	@set -ex; for i in $(languagesbar); do \
	  l=`echo $${i} | cut -d_ -f1`; \
	  s=`echo $${i} | cut -d_ -f2 | tr A-Z a-z`; \
	  cp -a $(name).$${i}.html debian/$(name)-$$l/$(docdir); \
	  $(install_file) $(name).$${i}.txt $(name).$${i}.sgml \
	    debian/$(name)-$${l}/$(docdir); \
	  $(install_file) $(name).$${i}.ps $(name).$${i}.pdf \
	    debian/$(name)-$${l}/$(docdir); \
	  ln -s index.$${l}-$${s}.html \
	    debian/$(name)-$${l}/$(docdir)/$(name).$${i}.html/index.html; \
	done

binary-indep: DH_OPTIONS=-i
binary-indep: build install
	dh_installdocs
	dh_installchangelogs
	@set -ex; for lang in $(languagesfoo) $(languagesbar); do \
	  l=`echo $$lang | cut -d_ -f1`; \
          ln -s ../$(name) debian/$(name)-$${l}/$(docdir)-$${l}; \
        done
	dh_strip
	dh_fixperms
	dh_compress
	dh_installdeb
#	dh_gencontrol
# up to date versions, using the default value of 1.2* in debian/changelog:
	DH_OPTIONS="-p$(name)" dh_gencontrol
	DH_OPTIONS="-p$(name)-fr" dh_gencontrol
	DH_OPTIONS="-p$(name)-ja" dh_gencontrol
	DH_OPTIONS="-p$(name)-pl" dh_gencontrol
	DH_OPTIONS="-p$(name)-it" dh_gencontrol
	DH_OPTIONS="-p$(name)-zh" dh_gencontrol
	DH_OPTIONS="-p$(name)-ko" dh_gencontrol
	DH_OPTIONS="-p$(name)-de" dh_gencontrol
	DH_OPTIONS="-p$(name)-es" dh_gencontrol
	DH_OPTIONS="-p$(name)-pt" dh_gencontrol
	DH_OPTIONS="-p$(name)-ru" dh_gencontrol
# out of date versions:
	# If no change from old version, 
	# upload with the same version to prevent updating.
	#DH_OPTIONS="-p$(name)-XX -u"-v1.X.Y-Z"" dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:
# There are no architecture-dependent packages here.

binary: binary-indep binary-arch
.PHONY: build clean binary binary-arch binary-indep install

## maint-guide 1.2.7

=== Makefile ===
#
# Makefile for the Debian New Maintainers' Guide
#
# Should work both for a manual in the Debian Documentation Project
# manuals.sgml tree, and for $(MANUAL) package build.

# Build type: Possible values are BUILD_TYPE = web|package|...
BUILD_TYPE  := web

# For DDP web build, we need to use woody machine.
ifeq ("$(BUILD_TYPE)", "web")
# temporary workaround until www-master updates debiandoc-sgml
export PATH:=../quick-reference/bin/:${PATH}

# Woodys default LaTeX settings need more memory for Korean PDF
export TEXMFCNF=../quick-reference/texmf:

# Osamu thinks Makefile dependence to the outside of package source 
# tree is inherently risky.  Thus these are intentionally excluded 
# for the package build.  But this is nessasary for woking around
# the current DDP CVS publish infrastructure.
endif

# Basename for SGML
MANUAL := $(shell echo $(notdir $(CURDIR)) | perl -pe 's/-[\d.]+$$//')

# this can and will be overriden by a higher level makefile
PUBLISHDIR := /org/www.debian.org/www/doc/manuals

all: html txt ps pdf

sources := $(wildcard *.??*.sgml)
sources_noncjk := $(sources)

# generating HTML
# ugly because the normal stuff works only as PHONYs. :(
#$(MANUAL).%.html/index.%.html: $(MANUAL).%.sgml
#	debiandoc2html -c -l $* $<
html:
	rm -rf *html
	@if /usr/bin/test \( ! -e $(MANUAL).en.html/index.en.html \) -o \( $(MANUAL).sgml -nt $(MANUAL).en.html/index.en.html \); then \
          echo debiandoc2html -c -l en $(MANUAL).sgml; \
          debiandoc2html -c -l en $(MANUAL).sgml; \
          mv $(MANUAL).html $(MANUAL).en.html; \
        fi
	@for i in *.??*.sgml; do \
          j=$${i#$(MANUAL).}; lang=$${j%.sgml}; \
	  if /usr/bin/test \( ! -e $(MANUAL).$$lang.html/index.$$lang.html \) -o \( $$i -nt $(MANUAL).$$lang.html/index.$$lang.html \); then \
            echo debiandoc2html -c -l $$lang $$i; \
            debiandoc2html -c -l $$lang $$i; \
          fi; \
        done

# generating plain text
txt text: $(MANUAL).en.txt $(patsubst %.sgml,%.txt,$(sources))

$(MANUAL).en.txt: $(MANUAL).sgml
	debiandoc2text -l en $<
	mv $(MANUAL).txt $(MANUAL).en.txt

$(MANUAL).%.txt: $(MANUAL).%.sgml
	debiandoc2text -l $* $<

# generating PostScript
ps: $(MANUAL).en.ps $(patsubst %.sgml,%.ps,$(sources_noncjk))

$(MANUAL).en.ps: $(MANUAL).sgml
	debiandoc2latexps -l en $<
	mv $(MANUAL).ps $(MANUAL).en.ps

$(MANUAL).%.ps: $(MANUAL).%.sgml
	debiandoc2latexps -l $* $<

# generating Portable Document Format
pdf: $(MANUAL).en.pdf $(patsubst %.sgml,%.pdf,$(sources_noncjk))

$(MANUAL).en.pdf: $(MANUAL).sgml
	debiandoc2latexpdf -l en $<
	mv $(MANUAL).pdf $(MANUAL).en.pdf

$(MANUAL).%.pdf: $(MANUAL).%.sgml
	debiandoc2latexpdf -l $* $<

# publishing to the DDP web pages
publish: all
	test -d $(PUBLISHDIR)/$(MANUAL) || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	rm -f $(PUBLISHDIR)/$(MANUAL)/*.html
	install -p -m 644 $(MANUAL)*.html/*.html $(PUBLISHDIR)/$(MANUAL)/
# possible non-POSIX syntax below. fuck POSIX.
	cd $(PUBLISHDIR)/$(MANUAL) && for file in *.en.html; do \
          ln -s $$file $${file%$${file#$${file%.en.html}}}.html; \
        done
	install -p -m 644 $(MANUAL)*.txt $(MANUAL)*.ps $(MANUAL)*.pdf $(PUBLISHDIR)/$(MANUAL)
	ln -sf $(MANUAL).en.txt $(PUBLISHDIR)/$(MANUAL)/$(MANUAL).txt
	ln -sf $(MANUAL).en.ps $(PUBLISHDIR)/$(MANUAL)/$(MANUAL).ps
	ln -sf $(MANUAL).en.pdf $(PUBLISHDIR)/$(MANUAL)/$(MANUAL).pdf

# validating SGML
validate:
	@set -x; for i in $(wildcard *.sgml); do nsgmls -ges -wall $$i; done

# cleaning up
clean distclean:
	rm -f $(MANUAL)*.{txt,ps,dvi,pdf,info*,log,tex,aux,toc,out,sasp*,tpt} *~
	rm -rf $(MANUAL)*.html

.PHONY: all publish clean distclean validate
.SUFFIXES:

=== debian/changelog ===
maint-guide (1.2.7) unstable; urgency=low

  * Updated Simplified Chinese (zh_CN) translation and added new
    Traditional Chinese (zh_TW) translation from Ling Li
    <lilingv@gmail.com> [CVS commit by Jens Seidel].
  * Register Korean, Japanese and Chinese PDF and PS files as
    documentation.
  * Fixed two minor typos and translations in English and translations
    with help from Colin Tuckley. Closes: Bug#318161
  * Added link to example of installing additional html documentation
    with help from Colin Tuckley. Closes: Bug#306204
  * Updated to DH_COMPAT=4 and changed debian/control .
  * Removed UTF-8 encoded Japanese words from control file.
    Closes: Bug#345947
  * Made temporary package build directory example only to be 
    <file>debian/packagename</file> in line with new debhelper
    behavior.
  * Added section for Official Debian Developer reflecting the
    New Maintainer process.  Closes: Bug#331176
 
 -- Osamu Aoki <osamu@debian.org>  Sat,  7 Jan 2006 18:03:19 +0900
  

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Josip Rodin <joy-packages@debian.org>
 Uploaders: Osamu Aoki <osamu@debian.org>
 Standards-Version: 3.6.1
-Build-Depends-Indep: debhelper (>> 3.0.0), debiandoc-sgml (>= 1.1.86), tetex-bin, tetex-extra, w3m (>= 0.3) | w3m-ssl (>= 0.3) | w3mmee (>= 0.3), cjk-latex, freetype1-tools, tfm-arphic-bsmi00lp, tfm-arphic-bkai00mp, tfm-arphic-gbsn00lp, tfm-arphic-gkai00mp, hbf-jfs56, hbf-cns40-b5, hbf-kanji48, hlatex, hlatex-fonts-base, gs-esp | gs
+Build-Depends-Indep: debhelper (>> 3.0.0), debiandoc-sgml (>= 1.1.94), tetex-bin, tetex-extra, w3m (>= 0.3) | w3m-ssl (>= 0.3) | w3mmee (>= 0.3), cjk-latex, freetype1-tools, tfm-arphic-bsmi00lp, tfm-arphic-bkai00mp, tfm-arphic-gbsn00lp, tfm-arphic-gkai00mp, hbf-jfs56, hbf-cns40-b5, hbf-kanji48, hlatex, hlatex-fonts-base, gs-esp | gs
 
 Package: maint-guide
 Architecture: all
@@ -57,8 +57,8 @@
 Priority: extra
 Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, linda, dupload | dput, debian-policy, developers-reference, pbuilder
 Description: Japanese translation of Debian New Maintainers' Guide
- This package contains the Japanese translation of Debian New
- Maintainers' Guide, or Debian 新メンテナガイド.
+ This package contains the Japanese translation of the Debian New 
+ Maintainers' Guide.
  .
  This document tries to describe building of a Debian package to the
  common Debian user, and wannabe developer. It uses pretty common
@@ -248,8 +248,8 @@
 Architecture: all
 Priority: extra
 Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, linda, dupload | dput, debian-policy, developers-reference, pbuilder
-Description: Chinese (simplified) translation of Debian New Maintainers' Guide
- This package contains the simplified Chinese translation of
+Description: Chinese translation of Debian New Maintainers' Guide
+ This package contains the simplified and traditional Chinese translations of
  Debian New Maintainers' Guide.
  .
  This document tries to describe building of a Debian package to the

## maint-guide 1.2.11

=== Makefile ===
--- 
+++ 
@@ -69,7 +69,7 @@
 	mv $(MANUAL).ps $(MANUAL).en.ps
 
 $(MANUAL).%.ps: $(MANUAL).%.sgml
-	debiandoc2latexps -l $* $<
+	debiandoc2latexps -v -l $* $<
 
 # generating Portable Document Format
 pdf: $(MANUAL).en.pdf $(patsubst %.sgml,%.pdf,$(sources_noncjk))
@@ -101,8 +101,13 @@
 
 # cleaning up
 clean distclean:
-	rm -f $(MANUAL)*.{txt,ps,dvi,pdf,info*,log,tex,aux,toc,out,sasp*,tpt} *~
-	rm -rf $(MANUAL)*.html
+	-rm -f $(MANUAL)*.{txt,ps,dvi,pdf,info*,log,tex,aux,toc,out,sasp*,tpt,tex-in} *~
+	-rm -rf $(MANUAL)*.html 
+	-rm -r *.tmp
+ifeq ("$(BUILD_TYPE)", "web")
+#       remove artfacts from web 
+	-rm -f $(MANUAL)
+endif
 
 .PHONY: all publish clean distclean validate
 .SUFFIXES:

=== debian/changelog ===
maint-guide (1.2.11) unstable; urgency=high

  * Fixed bad grep examples for all languages. (closes: Bug#375456) 
  * Updated build date, source version, copyright for the English.
    I added myself to the copyright since my additions have been more 
    than minor fixes.  This should make easy to diferentiate old 
    translations based on the old English version.
  * Fixed dpatch example to use Build-Depends: in control.

 -- Osamu Aoki <osamu@debian.org>  Fri, 12 Jan 2007 20:42:33 +0900

maint-guide (1.2.10) unstable; urgency=high

  * Fixed lintian "Build-Depends-Indep debhelper" error.
  * Reorganized WNPP reference. (closes: Bug#405855)
  * Updated dh_make results and dpatch references.
    (closes: Bug#373076, Bug#328294)
  * Updated debian/copyright file section by pointing to
    the debian-devel-announce HOWTO. (closes: Bug#366084)

 -- Osamu Aoki <osamu@debian.org>  Thu, 11 Jan 2007 01:22:31 +0900

maint-guide (1.2.9) unstable; urgency=high

  * Adjusted Policy manual references for all languages.
    (closes: Bug#385918, Bug#384833)
  * Fixed Italian translation. (closes: Bug#386538)
  * Provided French translation with a link to the reference English
    document. (closes: Bug#399863)
  * Updated build dependency to one works for zh_TW.

 -- Osamu Aoki <osamu@debian.org>  Sun, 24 Dec 2006 22:13:41 +0900

maint-guide (1.2.8) unstable; urgency=high

  * Fixed latex-cjk-* and font dependency issues. (closes: Bug#403200)
  * Fixed typo caught by s. keeling s/enconter/encounter/ .
  * Fixed clean target to remove tex-in etc..
  * Rebuilt with debiandoc-sgml 1.1.100.

 -- Osamu Aoki <osamu@debian.org>  Sun, 17 Dec 2006 01:07:38 +0900

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Josip Rodin <joy-packages@debian.org>
 Uploaders: Osamu Aoki <osamu@debian.org>
+Build-Depends: debhelper (>> 3.0.0)
+Build-Depends-Indep: debiandoc-sgml (>= 1.1.100), tetex-bin (>= 3.0-24), tetex-extra, w3m (>= 0.3) | w3m-ssl (>= 0.3) | w3mmee (>= 0.3), latex-cjk-all, freetype1-tools, latex-cjk-chinese-arphic-bsmi00lp, latex-cjk-chinese-arphic-bkai00mp, latex-cjk-chinese-arphic-gbsn00lp, latex-cjk-chinese-arphic-gkai00mp, latex-cjk-japanese-wadalab, hbf-jfs56, hbf-cns40-b5, hbf-kanji48, hlatex, hlatex-fonts-base, gs-esp | gs
 Standards-Version: 3.6.1
-Build-Depends-Indep: debhelper (>> 3.0.0), debiandoc-sgml (>= 1.1.94), tetex-bin, tetex-extra, w3m (>= 0.3) | w3m-ssl (>= 0.3) | w3mmee (>= 0.3), cjk-latex, freetype1-tools, tfm-arphic-bsmi00lp, tfm-arphic-bkai00mp, tfm-arphic-gbsn00lp, tfm-arphic-gkai00mp, hbf-jfs56, hbf-cns40-b5, hbf-kanji48, hlatex, hlatex-fonts-base, gs-esp | gs
 
 Package: maint-guide
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,14 +3,14 @@
 # and debhelper rules.multi2 example (Joey Hess).
 
 #export DH_VERBOSE=1
-export DH_COMPAT=2
+export DH_COMPAT=4
 export DH_OPTIONS
 export LANG=C
 # stupid kludge around a stupid debiandoc-sgml bug
 
 name		:= maint-guide
 languagesfoo	:= fr ja ko es ru de it pl
-languagesbar	:= pt_BR zh_CN
+languagesbar	:= pt_BR zh_CN zh_TW
 docdir		:= usr/share/doc/$(name)
 install_file	:= install -m 0644
 BUILD_TYPE := package
@@ -72,7 +72,7 @@
 	dh_installchangelogs
 	@set -ex; for lang in $(languagesfoo) $(languagesbar); do \
 	  l=`echo $$lang | cut -d_ -f1`; \
-          ln -s ../$(name) debian/$(name)-$${l}/$(docdir)-$${l}; \
+          ln -snf ../$(name) debian/$(name)-$${l}/$(docdir)-$${l}; \
         done
 	dh_strip
 	dh_fixperms

## maint-guide 1.2.13

=== debian/changelog ===
maint-guide (1.2.13) unstable; urgency=low

  * Acknowledged NMU and updated upstream subversion.
  * Made Makefile compatible with special version numbers. Closes: 483320
  * Removed linda package reference from all languages. Closes: 474244
  * Updated VCS fields.
  * Used proper version. Closes: 479407

 -- Osamu Aoki <osamu@debian.org>  Thu, 05 Jun 2008 22:36:34 +0900

maint-guide (1.2.12+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Deprecate Freetype 1 (Closes: #481788)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 21 May 2008 22:53:46 +0200

maint-guide (1.2.12) unstable; urgency=low

  * Fixed wrong package reference -pt-br. (closes: 430631)
  * Updated requirements for main by the policy document. (closes: 431012)
  * Treated quilt being possible alternative to dpatch since
    its use has been significant and as good. (closes: 434156)
  * Reference git-buildpackage instead of tla-buildpackage.
  * Fixed typos. (closes: 434680, 435567)
  * Fixed /usr/doc -> /usr/share/doc path for French. (closes: 435395)
  * Updated debian/copyright. (closes: 437844)
  * Temporariry stop building Korean PDF/PS due to TeX-live
    issues. (closes: 439495)
  * Added missing line in example A.2. (closes: 457912)
  * Updated Build-Depends*: to texlive-full, cjk-latex-all, ghostscript

 -- Osamu Aoki <osamu@debian.org>  Sun, 13 Jan 2008 15:07:09 +0900

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Priority: optional
 Maintainer: Josip Rodin <joy-packages@debian.org>
 Uploaders: Osamu Aoki <osamu@debian.org>
-Build-Depends: debhelper (>> 3.0.0)
-Build-Depends-Indep: debiandoc-sgml (>= 1.1.100), tetex-bin (>= 3.0-24), tetex-extra, w3m (>= 0.3) | w3m-ssl (>= 0.3) | w3mmee (>= 0.3), latex-cjk-all, freetype1-tools, latex-cjk-chinese-arphic-bsmi00lp, latex-cjk-chinese-arphic-bkai00mp, latex-cjk-chinese-arphic-gbsn00lp, latex-cjk-chinese-arphic-gkai00mp, latex-cjk-japanese-wadalab, hbf-jfs56, hbf-cns40-b5, hbf-kanji48, hlatex, hlatex-fonts-base, gs-esp | gs
-Standards-Version: 3.6.1
+Build-Depends: debhelper (>> 4.0.0)
+Build-Depends-Indep: debiandoc-sgml (>= 1.2.1), texlive-full, w3m, latex-cjk-all, freetype2-demos, ghostscript | gs-esp | gs
+Standards-Version: 3.7.3
+XS-Vcs-Cvs: svn://svn.debian.org/ddp/manuals/trunk maint-guide
+XS-Vcs-Browser: http://svn.debian.org/viewsvn/ddp/manuals/trunk/maint-guide/
 
 Package: maint-guide
 Architecture: all

## maint-guide 1.2.14

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 # For DDP web build, we need to use woody machine.
 ifeq ("$(BUILD_TYPE)", "web")
 # temporary workaround until www-master updates debiandoc-sgml
+#export PATH=../quick-reference/bin/:${PATH}
 export PATH:=../quick-reference/bin/:${PATH}
 
 # Woodys default LaTeX settings need more memory for Korean PDF
@@ -22,7 +23,7 @@
 endif
 
 # Basename for SGML
-MANUAL := $(shell echo $(notdir $(CURDIR)) | perl -pe 's/-[\d.]+$$//')
+MANUAL := $(shell echo $(notdir $(CURDIR)) | perl -pe 's/-\d[\d.]+.*$$//')
 
 # this can and will be overriden by a higher level makefile
 PUBLISHDIR := /org/www.debian.org/www/doc/manuals
@@ -30,7 +31,8 @@
 all: html txt ps pdf
 
 sources := $(wildcard *.??*.sgml)
-sources_noncjk := $(sources)
+#sources_noncjk := $(sources)
+sources_noncjk := $(filter-out maint-guide.ko.sgml,$(sources))
 
 # generating HTML
 # ugly because the normal stuff works only as PHONYs. :(
@@ -63,16 +65,18 @@
 
 # generating PostScript
 ps: $(MANUAL).en.ps $(patsubst %.sgml,%.ps,$(sources_noncjk))
+	echo "Tex problem prevents PS build" >$(MANUAL).ko.ps
 
 $(MANUAL).en.ps: $(MANUAL).sgml
 	debiandoc2latexps -l en $<
 	mv $(MANUAL).ps $(MANUAL).en.ps
 
 $(MANUAL).%.ps: $(MANUAL).%.sgml
-	debiandoc2latexps -v -l $* $<
+	debiandoc2latexps -l $* $<
 
 # generating Portable Document Format
 pdf: $(MANUAL).en.pdf $(patsubst %.sgml,%.pdf,$(sources_noncjk))
+	echo "Tex problem prevents PDF build" >$(MANUAL).ko.pdf
 
 $(MANUAL).en.pdf: $(MANUAL).sgml
 	debiandoc2latexpdf -l en $<
@@ -103,7 +107,7 @@
 clean distclean:
 	-rm -f $(MANUAL)*.{txt,ps,dvi,pdf,info*,log,tex,aux,toc,out,sasp*,tpt,tex-in} *~
 	-rm -rf $(MANUAL)*.html 
-	-rm -r *.tmp
+	-rm -rf *.tmp
 ifeq ("$(BUILD_TYPE)", "web")
 #       remove artfacts from web 
 	-rm -f $(MANUAL)

=== debian/changelog ===
maint-guide (1.2.14) unstable; urgency=low

  * Fixed old DH_COMPAT=4 examples for all languages and packaging of 
    this package itself by creating debian/compat.
  * Fixed Italian section 4.1 per Riccardo Brigo. Closes: 436046
  * Fixed versioned dependencies issue. Closes: 438176
  * Fixed maint-guide-pl.doc-base file encoding. Closes: 473166
  * Removed reference of deprecated 'x' suffix for X manpage for 
    all languages. Closes: 437747
  * Added manpage creation from the XML template. Closes: 437751
  * Fixed Vcs-Svn/Vcs-Browser fields per Jelmer Vernooij. Closes: 492810

 -- Osamu Aoki <osamu@debian.org>  Sat, 06 Sep 2008 13:30:57 +0900

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Osamu Aoki <osamu@debian.org>
 Build-Depends: debhelper (>> 4.0.0)
 Build-Depends-Indep: debiandoc-sgml (>= 1.2.1), texlive-full, w3m, latex-cjk-all, freetype2-demos, ghostscript | gs-esp | gs
-Standards-Version: 3.7.3
-XS-Vcs-Cvs: svn://svn.debian.org/ddp/manuals/trunk maint-guide
-XS-Vcs-Browser: http://svn.debian.org/viewsvn/ddp/manuals/trunk/maint-guide/
+Standards-Version: 3.8.0
+Vcs-Cvs: svn://svn.debian.org/ddp/manuals/trunk/maint-guide
+Vcs-Browser: http://svn.debian.org/viewsvn/ddp/manuals/trunk/maint-guide/
 
 Package: maint-guide
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 # and debhelper rules.multi2 example (Joey Hess).
 
 #export DH_VERBOSE=1
-export DH_COMPAT=4
 export DH_OPTIONS
 export LANG=C
 # stupid kludge around a stupid debiandoc-sgml bug
